partman-iscsi (40ubuntu4) eoan; urgency=medium

  * Add support for different network interfaces and iscsi_auto for iBFT.
    - debian/partman-iscsi.template: add partman-iscsi/iscsi_auto option.
    - finish.d/iscsi_settings: handle non-default interface for iSCSI.
    - finish.d/iscsi_settings: check option to include ISCSI_AUTO=true
      instead of ISCSI_* variables in /etc/iscsi/iscsi.initramfs.

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Thu, 07 Mar 2019 15:53:09 -0300

partman-iscsi (40ubuntu3) xenial; urgency=medium

  * choose_partition/iscsi/do_option: make use of iscsi_start rather than just
    calling iscsi-start (script from open-iscsi) to prompt for initiatorName.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 02 Mar 2016 12:54:59 -0500

partman-iscsi (40ubuntu2) xenial; urgency=medium

  * debian/partman-iscsi.template: add partman-iscsi/initiatorname question.
  * lib/iscsi-base.sh: add iscsi_start wrapper to get initiatorName from the
    user in the medium priority. Ask for the initiatorName at priority
    critical.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 01 Mar 2016 16:46:21 -0500

partman-iscsi (40ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Remove "-o update" from the discover calls. It's not required and is
      considered invalid with recent open-iscsi.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 02 Dec 2015 11:33:11 -0500

partman-iscsi (40) unstable; urgency=medium

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan

 -- Christian Perrier <bubulle@debian.org>  Sun, 23 Aug 2015 15:10:10 +0200

partman-iscsi (39) unstable; urgency=medium

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Thu, 09 Jul 2015 16:54:15 +0200

partman-iscsi (38) unstable; urgency=medium

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes

 -- Christian Perrier <bubulle@debian.org>  Wed, 20 May 2015 17:33:01 +0200

partman-iscsi (37) unstable; urgency=medium

  [ Updated translations ]
  * Tamil (ta.po) by Dr.T.Vasudevan

 -- Christian Perrier <bubulle@debian.org>  Tue, 12 May 2015 19:36:05 +0200

partman-iscsi (36) unstable; urgency=low

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Apr 2015 15:45:57 +0200

partman-iscsi (35) unstable; urgency=low

  [ Updated translations ]
  * Romanian (ro.po) by Bradut Boghita

 -- Christian Perrier <bubulle@debian.org>  Thu, 26 Mar 2015 08:05:02 +0100

partman-iscsi (34) unstable; urgency=low

  [ Updated translations ]
  * Vietnamese (vi.po) by Hai-Nam Nguyen

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Mar 2015 18:07:35 +0100

partman-iscsi (33) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk

 -- Christian Perrier <bubulle@debian.org>  Mon, 22 Dec 2014 06:59:31 +0100

partman-iscsi (32) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bulgarian (bg.po) by Damyan Ivanov

 -- Christian Perrier <bubulle@debian.org>  Wed, 17 Dec 2014 08:50:17 +0100

partman-iscsi (31) unstable; urgency=low

  [ Updated translations ]
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Christian Perrier <bubulle@debian.org>  Mon, 08 Dec 2014 10:29:27 +0100

partman-iscsi (30) unstable; urgency=low

  [ Updated translations ]
  * Polish (pl.po) by Michał Kułach

 -- Christian Perrier <bubulle@debian.org>  Wed, 19 Nov 2014 17:06:29 +0100

partman-iscsi (29) unstable; urgency=low

  [ Updated translations ]
  * Galician (gl.po) by Jorge Barreiro
  * Italian (it.po) by Milo Casagrande

 -- Christian Perrier <bubulle@debian.org>  Sat, 15 Nov 2014 08:07:54 +0100

partman-iscsi (28) unstable; urgency=low

  [ Updated translations ]
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Oct 2014 12:00:31 +0200

partman-iscsi (27) unstable; urgency=low

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen

 -- Christian Perrier <bubulle@debian.org>  Mon, 20 Oct 2014 07:49:44 +0200

partman-iscsi (26) unstable; urgency=low

  [ Updated translations ]
  * Ukrainian (uk.po) by Anton Gladky

 -- Christian Perrier <bubulle@debian.org>  Sat, 18 Oct 2014 08:43:36 +0200

partman-iscsi (25) unstable; urgency=low

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure

 -- Christian Perrier <bubulle@debian.org>  Thu, 02 Oct 2014 07:50:14 +0200

partman-iscsi (24) unstable; urgency=low

  [ Updated translations ]
  * Ukrainian (uk.po) by Anton Gladky

 -- Christian Perrier <bubulle@debian.org>  Thu, 25 Sep 2014 18:10:54 +0200

partman-iscsi (23) unstable; urgency=low

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Russian (ru.po) by Yuri Kozlov
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Sep 2014 14:17:57 +0200

partman-iscsi (22) unstable; urgency=low

  [ Christian Perrier ]
  * Mark templates as translatable. Closes: #758921

  [ Cyril Brulebois ]
  * Add debian/po/POTFILES.in to make debconf-updatepo aware of the
    templates file.

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Arabic (ar.po) by Ossama Khayat
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Amila Valjevčić
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Joe Hansen
  * German (de.po) by Holger Wansing
  * Greek, Modern (1453-) (el.po) by galaxico
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Estonian (et.po) by Mattias Põldaru
  * Finnish (fi.po) by Timo Jyrinki
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jorge Barreiro
  * Hebrew (he.po) by Omer Zak
  * Croatian (hr.po) by Tomislav Krznar
  * Hungarian (hu.po) by Judit Gyimesi
  * Icelandic (is.po) by Sveinn í Felli
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Kannada (kn.po) by Prabodh C P (FSMK Localisation Team)
  * Korean (ko.po) by Changwoo Ryu
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Malayalam (ml.po) by Anish Sheela
  * Marathi (mr.po) by sampada
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Michał Kułach
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Tajik (tg.po) by Victor Ibragimov
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Uyghur (ug.po) by Abduqadir Abliz
  * Ukrainian (uk.po) by Anton Gladky
  * Simplified Chinese (zh_CN.po) by YunQiang Su
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Sat, 06 Sep 2014 09:17:16 +0200

partman-iscsi (21ubuntu1) saucy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Remove "-o update" from the discover calls. It's not required and is
      considered invalid with recent open-iscsi.
    - Enable translations.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 19 Aug 2013 16:42:26 +0200

partman-iscsi (21) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

  [ Christian Perrier ]
  * Add myself to Uploaders

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jul 2013 13:05:16 +0200

partman-iscsi (20ubuntu1) quantal; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Remove "-o update" from the discover calls. It's not required and is
      considered invalid with recent open-iscsi.
    - Enable translations.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 14 Aug 2012 10:45:55 -0400

partman-iscsi (20) unstable; urgency=low

  * Unmark remaining translatable strings

 -- Christian Perrier <bubulle@debian.org>  Tue, 31 Jul 2012 04:31:36 +0200

partman-iscsi (19) unstable; urgency=low

  * Disable translation for now as this package is not meant for wheezy

 -- Christian Perrier <bubulle@debian.org>  Sun, 29 Jul 2012 16:27:39 +0200

partman-iscsi (18) unstable; urgency=low

  * Team upload
  * Replace XC-Package-Type by Package-Type
  * Update Format: field format in debian/copyright

  [ Colin Watson ]
  * Adjust Maintainer, Uploaders, and Vcs-* for Debian.

 -- Christian Perrier <bubulle@debian.org>  Sat, 07 Jul 2012 21:36:48 +0200

partman-iscsi (17ubuntu1) quantal; urgency=low

  * Remove "-o update" from the discover calls. It's not required and is
    considered invalid with recent open-iscsi.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 11 Jul 2012 13:30:37 -0400

partman-iscsi (17) oneiric; urgency=low

  * Don't fail if debconf questions are preseeded (LP: #810068).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Jul 2011 17:04:26 +0100

partman-iscsi (16) natty; urgency=low

  [ Jim Paris ]
  * Work around username/password being "(null)", due to a kernel change
    which open-iscsi doesn't handle yet (LP: #625013).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Jan 2011 14:33:16 +0000

partman-iscsi (15) maverick; urgency=low

  * Use 'dh $@ --options' rather than 'dh --options $@', for
    forward-compatibility with debhelper v8.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Aug 2010 01:04:00 +0100

partman-iscsi (14) lucid; urgency=low

  * Fix case of 'state' variable, so that we correctly go back to the
    address question after address validation failures (LP: #567196).
  * Eliminate duplicate target names (LP: #567206).
  * Don't pass an argument to db_go when asking partman-iscsi/login/failed.
  * Back up to appropriate previous state after asking
    partman-iscsi/login/empty_password.
  * Create a node record before trying to set up authentication.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Apr 2010 21:55:32 +0100

partman-iscsi (13) lucid; urgency=low

  * Set HWADDR rather than ISCSI_NETDEVICE, so that we select the default
    network interface by MAC address rather than by interface name
    (LP: #473036).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Feb 2010 11:58:55 -0800

partman-iscsi (12) lucid; urgency=low

  * Remember the default network interface and record it in ISCSI_NETDEVICE
    in iscsi.initramfs (LP: #473036).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Jan 2010 17:00:15 +0000

partman-iscsi (11) lucid; urgency=low

  * Cope with "<NULL>" text in username, password, username_in, and
    password_in files.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Jan 2010 22:09:01 +0000

partman-iscsi (10) lucid; urgency=low

  * Add partman-iscsi/login/all_targets preseeding-only template; if true,
    automatically log into all targets. This makes Kickstart implementation
    easier.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Dec 2009 13:00:19 +0000

partman-iscsi (9) lucid; urgency=low

  * Add CHAP authentication support (LP: #411323).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Dec 2009 12:31:51 +0000

partman-iscsi (8) lucid; urgency=low

  * Use dh-di.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Nov 2009 09:12:25 -0600

partman-iscsi (7) karmic; urgency=low

  * Work around netcfg/choose_interface not always being set, breaking our
    workaround for network interface configuration issues when the root
    filesystem is on iSCSI (LP: #457767).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Oct 2009 22:57:26 +0000

partman-iscsi (6) karmic; urgency=low

  * Fix root mount point detection (LP: #454998).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Oct 2009 09:19:51 +0100

partman-iscsi (5) karmic; urgency=low

  * Make sure iscsid is running when selecting "Configure iSCSI volumes"
    (LP: #441690).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Oct 2009 20:59:03 +0100

partman-iscsi (4) karmic; urgency=low

  * Source /lib/partman/lib/base.sh as well as iscsi-base.sh.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Oct 2009 14:00:14 +0100

partman-iscsi (3) karmic; urgency=low

  * Change priority to standard to match overrides.
  * Stop checking disk-detect/iscsi/enable before deciding whether to offer
    an option in the partitioner, as that template doesn't exist any more.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 02 Oct 2009 13:37:20 +0100

partman-iscsi (2) karmic; urgency=low

  * Add COPYING file, requested by Loïc Minier.
  * Record the target portal group tag for each target.
  * If / is on iSCSI, configure /etc/iscsi/iscsi.initramfs appropriately
    and, as a hacky workaround, set the default interface to "manual" in
    /etc/network/interfaces (LP: #237460).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Aug 2009 13:11:11 +0100

partman-iscsi (1) karmic; urgency=low

  * Initial release.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Aug 2009 09:19:26 +0100

